/**
 *
 */
package com.pcloud.common.core.constant;

/**
 * @author：songx
 * @date：2017年2月27日,下午4:29:06 使用RabbitMQ需要去MqQueueConstant中声明队列名称，枚举的第二个值将不再使用,第一个值正常使用
 * modify by songx at 2018-08-22
 */
public enum ConvertEnum {

    /**
     * 应用转码
     */
    APP("APP"),

    /**
     * 资源中心转码
     */
    RESOURCE("RESOURCE"),

    /**
     * 报名时的视频转换
     */
    MATCH("MATCH"),

    /**
     * 资源中心即时转换
     */
    INSTANT_RESOURCE("INSTANT_RESOURCE"),

    /**
     * 报名应用
     */
    MATCH_APP("MATCH_APP"),

    /**
     * 内容中心
     */
    CONTENT("CONTENT"),

    /**
     * 内容中心->题库：文件记忆功能
     */
    PRETEST_FILEMEMORY("PRETEST_FILEMEMORY"),

    /**
     * 小游戏
     */
    RAYSTASK("RAYSTASK"),

    /**
     * 圈子应用
     */
    GROUP_APP("GROUP_APP"),

    /**
     * 投票应用
     */
    VOTE_APP("VOTE_APP"),

    /**
     * 教育表格应用
     */
    EF_APP("EF_APP"),

    /**
     * 测试工具
     */
    TEST_APP("TEST_APP"),

    /**
     * 直播工具
     */
    LIVE_APP("LIVE_APP"),

    /**
     * 视频课
     */
    VIDEO_LESSON("VIDEO_LESSON"),

    /**
     * 音频课
     */
    AUDIO_LESSON("AUDIO_LESSON"),

    /**
     * 音频纯听
     */
    AUDIO_LISTEN("AUDIO_LISTEN");

    /**
     * 值
     */
    public final String value;

    /**
     * 构造
     *
     * @param value
     */
    private ConvertEnum(String value) {
        this.value = value;
    }

}
